Bug 2207847 - coturn service fails to start with recent systemd
Summary: coturn service fails to start with recent systemd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: coturn
Version: epel8
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-05-17 06:28 UTC by past.zone1573
Modified: 2023-06-09 02:06 UTC (History)
2 users (show)

Fixed In Version: coturn-4.6.2-2.fc37 coturn-4.6.2-2.el8 coturn-4.6.2-2.el9 coturn-4.6.2-2.fc38 coturn-4.6.2-2.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-09 01:38:04 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description past.zone1573 2023-05-17 06:28:56 UTC
Description of problem:
The coturn.service file that is shipped with coturn-4.6.2-1.el8 forks the coturn service and set Type=Forking. 

systemd has added stricter checking of PID files (likely here: https://github.com/systemd/systemd/commit/db256aab13d8a89d583ecd2bacf0aca87c66effc). Probably since the change, coturn now fails to starts and systemd logs:

coturn.service: New main PID 131 does not belong to service, and PID file is not owned by root. Refusing.

This is fixed by not forking the coturn process (which is preferred when using systemd anyway), for example, by using the coturn.service example file shipped with coturn (examples/etc/coturn.service).


Version-Release number of selected component (if applicable):
4.6.2-1.el8

How reproducible:
Always

Steps to Reproduce:
1. Use a recent version of systemd. I have systemd-239-68.el8_7.4.
2. Run "systemctl start coturn"
3. coturn fails to start and systemd logs "coturn.service: New main PID 131 does not belong to service, and PID file is not owned by root. Refusing."

Actual results:
coturn does not start


Expected results:
coturn starts

Additional info:

Comment 1 Fedora Update System 2023-06-01 00:12:13 UTC
FEDORA-EPEL-2023-0837ed8780 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-0837ed8780

Comment 2 Fedora Update System 2023-06-01 00:12:15 UTC
FEDORA-EPEL-2023-b106ea5de7 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-b106ea5de7

Comment 3 Fedora Update System 2023-06-01 00:12:19 UTC
FEDORA-2023-08e0229091 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-08e0229091

Comment 4 Fedora Update System 2023-06-01 00:12:19 UTC
FEDORA-EPEL-2023-11aad0db4e has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-11aad0db4e

Comment 5 Fedora Update System 2023-06-01 00:12:20 UTC
FEDORA-2023-c0d1e6e8da has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c0d1e6e8da

Comment 6 Fedora Update System 2023-06-01 01:48:02 UTC
FEDORA-2023-c0d1e6e8da has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c0d1e6e8da`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c0d1e6e8da

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-06-01 02:27:47 UTC
FEDORA-EPEL-2023-b106ea5de7 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-b106ea5de7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-06-01 02:34:07 UTC
FEDORA-EPEL-2023-11aad0db4e has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-11aad0db4e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-06-01 02:39:44 UTC
FEDORA-EPEL-2023-0837ed8780 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-0837ed8780

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-06-01 03:16:41 UTC
FEDORA-2023-08e0229091 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-08e0229091`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-08e0229091

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-06-09 01:38:04 UTC
FEDORA-2023-c0d1e6e8da has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-06-09 01:51:25 UTC
FEDORA-EPEL-2023-b106ea5de7 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2023-06-09 01:57:32 UTC
FEDORA-EPEL-2023-11aad0db4e has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2023-06-09 02:00:09 UTC
FEDORA-2023-08e0229091 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-06-09 02:06:31 UTC
FEDORA-EPEL-2023-0837ed8780 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.